<?php
namespace PHPMaker2020\hostelmgr20;

// Session
if (session_status() !== PHP_SESSION_ACTIVE)
	session_start(); // Init session data

// Output buffering
ob_start();

// Autoload
include_once "autoload.php";
?>
<?php

// Write header
WriteHeader(FALSE);

// Create page object
$academic_delete = new academic_delete();

// Run the page
$academic_delete->run();

// Setup login status
SetupLoginStatus();
SetClientVar("login", LoginStatus());

// Global Page Rendering event (in userfn*.php)
Page_Rendering();

// Page Rendering event
$academic_delete->Page_Render();
?>
<?php include_once "header.php"; ?>
<script>
var facademicdelete, currentPageID;
loadjs.ready("head", function() {

	// Form object
	currentPageID = ew.PAGE_ID = "delete";
	facademicdelete = currentForm = new ew.Form("facademicdelete", "delete");
	loadjs.done("facademicdelete");
});
</script>
<script>
loadjs.ready("head", function() {

	// Client script
	// Write your client script here, no need to add script tags.

});
</script>
<?php $academic_delete->showPageHeader(); ?>
<?php
$academic_delete->showMessage();
?>
<form name="facademicdelete" id="facademicdelete" class="form-inline ew-form ew-delete-form" action="<?php echo CurrentPageName() ?>" method="post">
<?php if ($Page->CheckToken) { ?>
<input type="hidden" name="<?php echo Config("TOKEN_NAME") ?>" value="<?php echo $Page->Token ?>">
<?php } ?>
<input type="hidden" name="t" value="academic">
<input type="hidden" name="action" id="action" value="delete">
<?php foreach ($academic_delete->RecKeys as $key) { ?>
<?php $keyvalue = is_array($key) ? implode(Config("COMPOSITE_KEY_SEPARATOR"), $key) : $key; ?>
<input type="hidden" name="key_m[]" value="<?php echo HtmlEncode($keyvalue) ?>">
<?php } ?>
<div class="card ew-card ew-grid">
<div class="<?php echo ResponsiveTableClass() ?>card-body ew-grid-middle-panel">
<table class="table ew-table">
	<thead>
	<tr class="ew-table-header">
<?php if ($academic_delete->id->Visible) { // id ?>
		<th class="<?php echo $academic_delete->id->headerCellClass() ?>"><span id="elh_academic_id" class="academic_id"><?php echo $academic_delete->id->caption() ?></span></th>
<?php } ?>
<?php if ($academic_delete->Academic->Visible) { // Academic ?>
		<th class="<?php echo $academic_delete->Academic->headerCellClass() ?>"><span id="elh_academic_Academic" class="academic_Academic"><?php echo $academic_delete->Academic->caption() ?></span></th>
<?php } ?>
<?php if ($academic_delete->Status->Visible) { // Status ?>
		<th class="<?php echo $academic_delete->Status->headerCellClass() ?>"><span id="elh_academic_Status" class="academic_Status"><?php echo $academic_delete->Status->caption() ?></span></th>
<?php } ?>
	</tr>
	</thead>
	<tbody>
<?php
$academic_delete->RecordCount = 0;
$i = 0;
while (!$academic_delete->Recordset->EOF) {
	$academic_delete->RecordCount++;
	$academic_delete->RowCount++;

	// Set row properties
	$academic->resetAttributes();
	$academic->RowType = ROWTYPE_VIEW; // View

	// Get the field contents
	$academic_delete->loadRowValues($academic_delete->Recordset);

	// Render row
	$academic_delete->renderRow();
?>
	<tr <?php echo $academic->rowAttributes() ?>>
<?php if ($academic_delete->id->Visible) { // id ?>
		<td <?php echo $academic_delete->id->cellAttributes() ?>>
<span id="el<?php echo $academic_delete->RowCount ?>_academic_id" class="academic_id">
<span<?php echo $academic_delete->id->viewAttributes() ?>><?php echo $academic_delete->id->getViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($academic_delete->Academic->Visible) { // Academic ?>
		<td <?php echo $academic_delete->Academic->cellAttributes() ?>>
<span id="el<?php echo $academic_delete->RowCount ?>_academic_Academic" class="academic_Academic">
<span<?php echo $academic_delete->Academic->viewAttributes() ?>><?php echo $academic_delete->Academic->getViewValue() ?></span>
</span>
</td>
<?php } ?>
<?php if ($academic_delete->Status->Visible) { // Status ?>
		<td <?php echo $academic_delete->Status->cellAttributes() ?>>
<span id="el<?php echo $academic_delete->RowCount ?>_academic_Status" class="academic_Status">
<span<?php echo $academic_delete->Status->viewAttributes() ?>><?php echo $academic_delete->Status->getViewValue() ?></span>
</span>
</td>
<?php } ?>
	</tr>
<?php
	$academic_delete->Recordset->moveNext();
}
$academic_delete->Recordset->close();
?>
</tbody>
</table>
</div>
</div>
<div>
<button class="btn btn-primary ew-btn" name="btn-action" id="btn-action" type="submit"><?php echo $Language->phrase("DeleteBtn") ?></button>
<button class="btn btn-default ew-btn" name="btn-cancel" id="btn-cancel" type="button" data-href="<?php echo $academic_delete->getReturnUrl() ?>"><?php echo $Language->phrase("CancelBtn") ?></button>
</div>
</form>
<?php
$academic_delete->showPageFooter();
if (Config("DEBUG"))
	echo GetDebugMessage();
?>
<script>
loadjs.ready("load", function() {

	// Startup script
	// Write your table-specific startup script here
	// console.log("page loaded");

});
</script>
<?php include_once "footer.php"; ?>
<?php
$academic_delete->terminate();
?>